[Overview][Constants][Classes][Procedures and functions][Index] | Reference for unit '_crw_dimq' (#crwlib)

# TDimDataHolder

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: _crw_dimq.pas line 41

`type TDimDataHolder = class(TMasterObject)`
`public`
`constructor Create;`
`destructor Destroy; override;`
`property TimeStamp: Int64; [r]`
`property LinkedPtr: Pointer; [r]`
`property LinkedTag: TDimLong; [r]`
`property DataLength: SizeInt; [r]`
`property DataBuffer: Pointer; [r]`
`property DataString: LongString; [r]`
`property DataFormat: LongString; [r]`
`function PutData();`
`procedure ClearData;`
`end;`

## Inheritance

`TDimDataHolder`
`TMasterObject`
`TObject`